


uucico(8)                                               uucico(8)


1mNAME22m
       uucico - UUCP file transfer daemon

1mSYNOPSIS22m
       1muucico22m [ options ]

1mDESCRIPTION22m
       The  4muucico24m daemon processes file transfer requests queued
       by 4muucp24m (1) and 4muux24m (1).  It is typically started periodi
       cally using entries in the 4mcrontab24m table(s).

       When  invoked  with the 1m-r122m option or the 1m-s22m or 1m-S22m option,
       the daemon will place a call to a remote  system,  running
       in master mode.

       When  4muucico24m  terminates, it invokes the 4muuxqt24m (8) daemon,
       unless the 1m-q22m option is given; 4muuxqt24m (8) executes any work
       orders created by 4muux24m (1) on a remote system, and any work
       orders created locally which have  received  remote  files
       for which they were waiting.

       If  a call fails, 4muucico24m returns 1m522m on BUSY or NO DIALTONE,
       1m1022m on NO CARRIER and 1m2022m on any other error (like  problems
       during processing of the chat script).


       If 4muucico24m receives any break signal (^C, ^D, ^E or ^F), it
       will cleanly abort any current conversation with a  remote
       system and exit.


1mLOCKING22m
       4mUucico24m  locks  the  serial  port  in the same manner Getty
       does, but doing the equivalent of the  4mlockserial24m  command
       before  openning  it.  Thus, uucico's will never bump into
       each other on the  port.  Any  terminal  program  you  run
       should  lock the serial port as well. This is done by run
       ning the terminal program via 4mlockserial24m with  the  appro
       priate arguments, see the manual pages for 4mgetty24m and 4mlock24m
       4mserial24m for more information (nowadays, a lot  of  terminal
       programs  support  the  1mOwnDevUnit.library22m, if yours does,
       you don't need to use 4mlockserial24m).


1mCONFIGURATION22m 1mOPTIONS22m
       You can control 4muucico24m's runtime behaviour  with  several
       variables  (specify them in AmigaUUCP's config file or the
       local environment).

          1mCopyNotify22m 31
                      let's you have 4muucico24m send you mail on sev
                      eral  events.  The value is bitmapped with
                      this Bitmask:
                  1  notify of send failures that  will  not  be



                           wUUCP 0.0.28                         1





uucico(8)                                               uucico(8)


                      retried (ie denied)
                  2    notify  of  send  failures  that  will be
                      retried (ie protocol errors)
                  4  notify of successfull  outgoing  file  copy
                      (uucp'd copies only)
                  8  notify of incoming file (uucp'd file copies
                      only)
                 16  notify of incoming failure of anykind

                      Thus, to get an email notification  of  any
                      failures,  use  16  or  19,  for  report on
                      incoming and outgoing uucp'd files 12,  set
                      to 31 for all features.
                      Mail  is sent to 1mNotifyUser22m (see below), if
                      unset 1mpostmaster22m.

          1mNotifyUser22m uucp
                      sets the user to  be  bothered  with  mails
                      created  due  to  the 1mCopyNotify22m entry (see
                      above) to 1muucp22m. Default (if unset) is 1mpost22m
                      1mmaster22m.

          1mUuxqtInterval22m 4
                      causes  a  start of 4muuxqt24m in the background
                      after every 4th incoming file with  a  name
                      starting with 1mX.22m*.

          1mUuxqtOnlyOnce22m Y
                      forces  old  behaviour,  i.  e. start 4muuxqt24m
                      only exactly once, just before exiting.  My
                      be  needed  in  some  strange  setups where
                      scripts or something similar  are  used  as
                      4muuxqt24m.  Default  is  to  start  it at least
                      after each role change slave>master.

          1mUse7CharNames22m Y
                      makes uucico  (and  related  programs)  use
                      only the first 7 chars of any system's name
                      for finding  it's  directory  in  4muuspool:24m;
                      1mmust22m  be set if the 4msendmail24m/4mrmail24m of wUUCP
                      is used in conjunction with  subdirectories
                      in 4muuspool:24m.

          1mUUlogs22m xferstat
                      controls  which  logfiles  should  be main
                      tained; currently defined are 1mxferstat22m (for
                      the  Software  Brewery's xferstat file) and
                      1mtimelog22m  (old  style  DUUCP  timelog).   If
                      absent,  1mNO22m logs are maintained.  1mNOTE22m that
                      the  values  ARE  case  sensitive  (i.   e.
                      1mTimeLog22m is NOT recognised).

          1mRequiredSpoolSpace22m 300000
                      specifies  the amout of space uucico should



                           wUUCP 0.0.28                         2





uucico(8)                                               uucico(8)


                      leave free on the local target  filesystem.
                      If unset or set to 0, the default 300000 is
                      used. Note that this options  behaviour  is
                      related  to the command line option 1mTaylor22m
                      for Taylor UUCP size negotiation: if Taylor
                      size  negotiation  is  used,  the check for
                      free space is performed before the transfer
                      is  initated,  based  on  the  filesize the
                      remote tells us. If free space minus  file
                      size  is  less than 1mRequiredSpoolSpace22m set
                      ting, the transfer is rejected (remote usu
                      ally  just  keeps it queued for transfer on
                      the next occasion).
                      If that feature is not used, the  check  is
                      also  performed  before  transfer  but only
                      based on the actual free space on the  tar
                      get  volume;  if  it's  less than 1mRequired22m
                      1mSpoolSpace22m,  the  send  request  is  denied
                      (remote  may  abort  the connection in this
                      case  some uucicos seem not to understand
                      or be able to handle the SN6 code correctly
                      =:<). But if  your  setting  of  1mRequired22m
                      1mSpoolSpace22m  is  too low, you may still fill
                      up your volume entirely:  if  you  suddenly
                      get a file of 2 MB with the default setting
                      and only 400 BK  left,  the  transfer  will
                      fail.  The  only  resolution  is to get the
                      remote  site  to  install  an  uucico  that
                      understands  (Taylor)  size negotiation, e.
                      g. Taylor UUCP, and use that nifty feature.

1mGENERAL22m 1mOPTIONS22m
       Options  marked with  are supplied automatically on Getty
       initiated connections.

          1mD22m dev 
                      Use device 4mdev24m;  default  is  1mserial.device22m
                      (space is required)

          1mU22m unit 
                      Use device's unit 4munit24m, default is 1m022m (space
                      is optional).

          1mACU22m acu
                      Call only entries with matching  4mACU24m;  this
                      may  be  used to differentiate between dif
                      ferent devices ... Let's say you  have  the
                      following 1mL.sys22m entries:

      imart Any isdn  64000 ATD55547120 ogin: bla word: fasel
      imart Any isdn  64000 ATD55547121 ogin: bla word: fasel
      imart Any ser2  57600 ATD5550815 ogin: bla word: fasel
      imart Any ser   38400 ATD5554711 ogin: bla word: fasel




                           wUUCP 0.0.28                         3





uucico(8)                                               uucico(8)


                      If  you ommit the 4mACU24m switch, 4muucico24m would
                      dial all entries with given 4mdevice24m and 4munit24m
                      settings; usually this would result in much
                      nonsense,  as  you  may  use  e.   g.   the
                      1misdn.device22m to call nonISDN ports, but you
                      can't connect to the analouge modem  there.
                      Vice  versa,  calling  an ISDN port from an
                      analouge modem doesn't work.

                      You can use the 4mACU24m switch to filter 1mL.sys22m
                      entries,  i. e. 1muucico22m 1msimart22m 1m722m 1mACU22m 1misdn22m
                      1mD22m 1misdn.device22m 1mU22m 1m022m 1mP722m would force  4muucico24m
                      only  to  dial  the  first two entries (the
                      ones with an ACU  of  1misdn22m)  and  skip  the
                      remaing two.
                      Refer  to  4mL.ports.doc24m for further informa
                      tion ...

          1mx22mn
                      Set log level for us and for remote  system
                      to 4mn24m.

          1mX22mn
                      Set log level but do not tell remote system
                      about it.

          1mxx22m
                      Debug handshake to  stdout  (but  not  once
                      connection  is  established).   Useful  for
                      debugging L.Sys sendexpect stuff.

          1mh022m
                      Ignore Carrier Detect.

          1mb22m
                      Run 4mbatchnews24m before anything else.

          1mq22m
                      Don't run 4muuxqt24m.

          1m722m
                      Set 1m7WIRE22m mode for serial  connections  (i.
                      e. hardware handshaking).

          1mForceOurGSettings22m
                      Instead of accepting the window and packet
                      sizes the remote side  wishes  us  to  use,
                      grant  only  the  maximum  of our and their
                      settings (P5 here and P7 there would lead
                      to P5 in direction to remote).
                      1mWarning:22m  1musing22m  1mthis22m  1moption22m 1mwith22m 1ma22m 1mremote22m
                      1muucico22m 1mnot22m 1mfully22m 1mimplementing22m 1mthe22m 1mg22m  1mproto22m
                      1mcol22m  1m(e.22m  1mg.22m  1mHDB)22m  1mwill22m  1minhibit22m  1many22m 1mfile22m
                      1mtransfer.22m 1mUse22m 1mthis22m 1moption22m 1mwith22m 1mcare!22m



                           wUUCP 0.0.28                         4





uucico(8)                                               uucico(8)


          1mproto22m n
                      Set `protocol hack' flag to 4mn24m  (0..9);  not
                      well  documented  anywhere  (including  the
                      sources), better leave it alone ...

          1mp22mprotos
                      Set list of  protocols,  defaults  to  4mGqg24m.
                      4muucico24m will choose the first common both in
                      orginate and answer mode.

          1mpri22m[1mn22m]
                      4muucico24m ups its priority by 1 (or, if 1mn22m  was
                      given,  sets it to 1mn22m) during transfer, then
                      downs it by 1 (relative to uucico's initial
                      priority) to run 4muuxqt24m (i.e. initial prior
                      ity+1 (or 1mn22m) during transer, initial prior
                      ity1 for 4muuxqt24m).

          1md022m
                      IGNORE  DTR switch forces 4muucico24m to use the
                      +++ sequence to disconnect instead of drop
                      ping DTR. This is a workaround for a possi
                      ble bug in the serial device for those  who
                      experience  crashes  when  4muucico24m  tries to
                      disconnect.

          1mn22mwindows
                      Set protocol window size.   If  4mwindows24m  is
                      not  specified,  a  window  size  of  1  is
                      forced. The default (n option  not  speci
                      fied) it a window size of 7.
                      Sometimes  it  is  necessary  to reduce the
                      window size to 3 or 4  when  connecting  to
                      heavily loaded UNIX systems.

          1mt22mtimeout
                      Set  GIO  protocol  timeout  before  packet
                      retry.  Default is 5. In  many  cases  this
                      can  cause  long  noactivity delays due to
                      small glitches when, in fact, the receiving
                      host  is not loaded down. Setting the time
                      out to 1 generally fixes this.

          1mT22mtimeout
                      Set  timeout   for   sendexpect   strings,
                      default is 15 seconds.

          1mP22msegsize
                      Set  segment size, in powers of two where a
                      segment size of 2 == 64 bytes. The  maximum
                      segment size is 8 (4096 bytes).
                      This  option should be used only by 1mexperi22m
                      1menced22m 1musers22m. Larger is not necessarily bet
                      ter  since  all  packets  are usually fixed



                           wUUCP 0.0.28                         5





uucico(8)                                               uucico(8)


                      length (that is, unless 1mpackets22m is  used).

          1mN22mhostname
                      Sets  the  4mhostname24m  for  this  invocation;
                      overrules the config variable 4mNodeName24m.

          1mG22mg
                      Set the grade to 4mg24m; our  4muucico24m  will  only
                      transmit  jobs with a grade character lower
                      (based on ASCII order) or equal to  4mg24m;  the
                      remote  4muucico24m may or may not support this.
                      Newsbatches usually (should) have  a  grade
                      of ''e'', thus specifying ''Gd'' makes our
                      4muucico24m transmit only jobs with grade  char
                      acters '' '' to ''d''.  The grade character
                      is the one following the, possibly abbrevi
                      ated,  system  name in command files (e. g.
                      in ''C.hactarB0815'' is ''B''  the  grade).
                      Refer  to  the  4muux24m  man  page  for further
                      information.

          1mTaylor22m
                      Enable Taylor style size negotiation;  com
                      pare  to config variable 1mRequiredSpoolSpace22m
                      and  the  4muucpinternals24m  FAQ  posting   in
                      news.answers.   In  short:  on  every  file
                      request  the  filesizes  are   transmitted,
                      enabling  the  other  side  to perform some
                      checks (e. g. `will it fit on our  filesys
                      tem?') before transfer.

          1mnodelay22m
                      Disable a .06 second delay in xgetc() which
                      was introduced to  reduce  system  load  on
                      machines  with  030 or 040 CPUs. Since this
                      may cause problems with other  devices  (e.
                      g.  an ISDN device I'm testing these days),
                      I made this switchable.

          1mpackets22m
                      Enables packet size optimization as defined
                      in the uucpgprotocol.
                      1mNOTE:22m several systems do not implement that
                      protocol completely, thus they get confused
                      by   smaller  packets  as  announced.  (The
                      `packets' switch makes uucico send only  a
                      128  bytes  packet  if  it  has to send 100
                      bytes (too big for an 64  byte  packet  but
                      fits  in  128  bytes) instead of the former
                      1024 bytes (if P6  was  used.))  Use  with
                      care!

1mGETTY22m 1mINITIATED22m 1mOPTIONS22m
          1mGetty22m 



                           wUUCP 0.0.28                         6





uucico(8)                                               uucico(8)


                      Tells  4muucico24m  that  it  was started from a
                      4mgetty24m.


1mMANUAL22m 1mPOLL22m 1mOPTIONS22m
          1ms22msystem
                      Poll (callup) the specified system.

          1mS22msystem
                      Same as s but ignore time restrictions.

          1mr122m
                      Call all systems we have pending work  for.

          1mr122m 1ms22msystem
                      Call  this specific system if we have pend
                      ing work.

          1mq22m
                      Do not start 4muuxqt24m when finished.

          1mo22m
                      Tells 4muucico24m to not search  for  a  CONNECT
                      message when carrier is detected (hardwired
                      configuration).


1mOBSOLETE22m 1mOPTIONS/WAIT22m 1mMODE22m 1mOPTIONS,22m 1mdo22m 1mnot22m 1muse22m 1mif22m 1myou22m 1mcan22m 1mhelp22m 1mit22m
          1mw22m
                      Tells  4muucico24m  to wait for one or more con
                      nections (depending  on  e)  AFTER  having
                      previously  polled one or more systems (4mr24m,
                      4ms24m, 4mS24m).

          1me22m
                      Tells 4muucico24m to loop  forever  waiting  for
                      connections.

          1mnooptions22m
                      If 4muucico24m is run without either 4mGetty24m, 4ms24m,
                      or 4mr24m, it will wait for  a  single  connec
                      tion.


1mEXAMPLE22m
       ; Place a line similar to this in your startupsequence!
       ; See GETTY manual

       run <nil: >nil: Getty A B19200 Mm
                              
       ; Manually poll system 'foo'
       UUCico sfoo
                              
       ; From DCRON  (DCRON ENTRY)



                           wUUCP 0.0.28                         7





uucico(8)                                               uucico(8)


       40      1       *       *       *       uucp:c/uucico r1


1mFILES22m
       The  file  names  may be changed at compilation time or by
       the configuration file, so these are only  approximations.

       UULIB:Config  Amiga UUCP's main configuration file.
       UULIB:passwd  Amiga UUCP's UUCP password file.
       UUSPOOL:  UUCP spool directory.
       UUSPOOL:logfile  UUCP log file.
       UUPUB:  Default UUCP public directory.

1mSEE22m 1mALSO22m
       AmigaDOS' break, uucp(1), uux(1), uuxqt(8)

1mACKNOWLEDMENTS22m
       Ian  Lance  Taylor <ian@airs.com> and Matthew Dillon <dil
       lon@apollo.west.oic.com> since I took main parts of  their
       man pages for uucico (Taylor UUCP 1.03/AmigaUUCP 1.16) for
       creating this one.

1mAUTHOR22m
       Several ... Quoting from uucico.c:

       (C) Copyright 1987 by John Gilmore.
       Copying and use of this  program  are  controlled  by  the
       terms  of the Free Software Foundation's GNU Emacs General
       Public License.

       Derived from:
       i[$]uuslave.c        1.7 08/12/85 14:04:20
       which came from the ACGNJ BBS system at +1 201  753  9758.
       Original author unknown.

       Ported to Amiga by William Loftus
       Amiga  Changes  Copyright  1988  by  William  Loftus.  All
       rights reserved.
       Additional Major Changes (c)Copyright 198991  by  Matthew
       Dillon, All rights reserved
       Additional  Changes  (alternate sendexpect) by Chris Hind
       Genly), (c)Copyright 1991 by Chris Hind Genly, All  rights
       Reserved

       Added variable packetsize (Pn). <CB>

       JJB   Xferstat support (patches posted to .patches).

       Additional changes by Steve Drew.

       Aditional  changes,  based on the `V1.16.23 sd.3' version,
       (c) 1993  by  Kai  'wusel'  Siering  (<wusel@hactar.UUCP>,
       <wusel@hactar.hanse.de> or <wusel@hactar.adsp.sub.org>).




                           wUUCP 0.0.28                         8





uucico(8)                                               uucico(8)



























































                           wUUCP 0.0.28                         9


