


uucp(1)                                                   uucp(1)


1mNAME22m
       uucp - Unix to Unix copy

1mSYNOPSIS22m
       1muucp22m [ options ] sourcefile destinationfile

       1muucp22m [ options ] sourcefile... destinationdirectory

1mDESCRIPTION22m
       The  4muucp24m command copies files between systems.  Each 4mfile24m
       argument is either a pathname on the local machine  or  is
       of the form

              system!path

       which  is interpreted as being on a remote system.  In the
       first form, the contents of the first file are  copied  to
       the  second.   In  the  second  form,  each source file is
       copied into the destination directory.

       Any pathname that does not begin  with  /  or  ~  will  be
       appended to the current directory; this resulting path may
       not exist on a remote system.  A pathname beginning with a
       simple  ~  starts at the UUCP public directory; a pathname
       beginning with ~name starts at the home directory  of  the
       named  user.  The ~ is interpreted on the appropriate sys
       tem.  Note that some shells will interpret a simple  ~  to
       the  local  home  directory  before 4muucp24m sees it; to avoid
       this the ~ must be quoted.

       The copy does not take place immediately, but is queued up
       for the 4muucico24m (8) daemon.  In any case, the next time the
       remote system is called the file(s) will be copied.

1mOPTIONS22m
       The following options may be given to 4muucp.24m

       1m-c22m   Do not copy local source files to  the  spool  direc
            tory.   If they are removed before being processed by
            the 4muucico24m (8) daemon, the copy will fail.  The files
            must be readable by the 4muucico24m (8) daemon, and by the
            invoking user.

       1m-C22m   Copy local source files to the spool directory.  This
            is the default.

       1m-g22m 1mgrade22m
            Set  the grade of the file transfer command.  Jobs of
            a higher grade are executed first.  Grades run 0  ...
            9 A ... Z a ... z from high to low.

       1m-m22m   Report  completion or failure of the file transfer by
            4msendmail24m (1).




                           wUUCP 0.0.23                         1





uucp(1)                                                   uucp(1)


       1m-j22m   Print jobid on standard output.  The job may be later
            cancelled  by  passing  the jobid to the 1m-k22m switch of
            4muustat24m (1).

1mFILES22m
       The file names may be changed at compilation  time  or  by
       the  configuration file, so these are only approximations.

       UULIB:config  Configuration file.
       UUSPOOL:  UUCP spool directory.
       UUSPOOL:logfile  UUCP log file.
       UUPUB:  Default UUCP public directory.

1mSEE22m 1mALSO22m
       sendmail(1), uux(1), uustat(1), uucico(8)

1mBUGS22m
       Files can not be copied across multiple systems.

       Some of the options are dependent on the  capabilities  of
       the 4muucico24m (8) daemon on the remote system.


1mACKNOWLEDGEMENTS22m
       To  Ian Lance Taylor (ian@airs.com or uunet!airs!ian) from
       whose man page I generated this file.

1mAUTHORS22m
       Several.




























                           wUUCP 0.0.23                         2


