


uux(1)                                                     uux(1)


1mNAME22m
       uux - Remote command execution over UUCP

1mSYNOPSIS22m
       1muux22m [ options ] command

1mDESCRIPTION22m
       The  4muux24m  command is used to execute a command on a remote
       system.  The command  is  not  executed  immediately;  the
       request  is  queued  until the 4muucico24m (8) daemon calls the
       system and executes it.

       The actual command execution is done by the 4muuxqt24m (8) dae
       mon.

       File  arguments can be gathered from remote systems to the
       execution system.

       The command name must be preceded by a  system  name  fol
       lowed by an exclamation point if it is to be executed on a
       remote system.

       Each  argument  that  contains  an  exclamation  point  is
       treated as naming a file.  The system which the file is on
       is before the exclamation point, and the pathname on  that
       system  follows  it.  If the path is not absolute, it will
       be appended to the current working directory on the  local
       system;  the  result  may  not be meaningful on the remote
       system.  A pathname may begin with ~/, in which case it is
       relative   to   the   UUCP   public   directory   (usually
       /usr/spool/uucppublic) on the appropriate system.  A path
       name  may  begin with ~name/, in which case it is relative
       to the home directory of the named user on the appropriate
       system.




1mOPTIONS22m
       The following options may be given to 4muux.24m

       1m-,-p22m Read  standard input and use it as the standard input
            for the command to be executed.

       1m-c22m   Do not copy local files to the spool  directory.   If
            they are removed before being processed by the 4muucico24m
            (8) daemon, the copy will fail.  The  files  must  be
            readable  by the 4muucico24m (8) daemon, as well as the by
            the invoker of 4muux24m (well, at least if you have  some
            thing like muFS installed =:>).

       1m-C22m   Copy  local files to the spool directory. This is the
            default on the Amiga.




                           wUUCP 0.0.23                         1





uux(1)                                                     uux(1)


       1m-l22m   Link local files into the spool directory.  If a file
            can  not  be  linked  because  it  is  on a different
            device, it will be copied unless the 1m-c22m  option  also
            appears  (in  other  words,  use  of  1m-l22m switches the
            default from 1m-c22m to 1m-C).22m  If  the  files  are  changed
            before  being processed by the 4muucico24m (8) daemon, the
            changed versions will be used.   The  files  must  be
            readable  by the 4muucico24m (8) daemon, as well as by the
            invoker of 4muux.24m

       1m-g22m 1mgrade22m
            Set the grade of the file transfer command.  Jobs  of
            a  higher grade are executed first.  Grades run 0 ...
            9 A ... Z a ... z from high to low.

       1m-n22m   Do not send mail about the status of the job, even if
            it fails.

       1m-z22m   Send  mail  about  the  status of the job if an error
            occurs.  For many  4muuxqt24m  daemons,  including  Taylor
            UUCP and wUUCP 4muuxqt,24m this is the default action; for
            those, 1m-z22m will have no effect.  However,  some  4muuxqt24m
            daemons will send mail if the job succeeds unless the
            1m-z22m option is used, and some other 4muuxqt24m daemons  will
            not  send  mail if the job fails unless the 1m-z22m option
            is used.

       1m-j22m   Print jobids on standard output.   A  jobid  will  be
            generated  for  each  file copy operation required to
            perform the operation.  These file copies may be can
            celled  by passing the jobid to the 1m-k22m switch of 4muus24m
            4mtat24m (1), which will make the execution impossible  to
            complete.

       1m-a22m 1maddress22m
            Report job status to the specified email address.

1mEXAMPLES22m
       uux  z    "sys1!rmail user1" Execute the command ``rmail
       user1'' on the system sys1, giving it  as  standard  input
       whatever  is given to 4muux24m as standard input.  If a failure
       occurs, send a message using 4msendmail24m (1).

1mRESTRICTIONS22m
       The remote system may not permit you  to  execute  certain
       commands.   Many  remote systems only permit the execution
       of 4mrmail24m and 4mrnews.24m

       Some of the options are dependent on the  capabilities  of
       the 4muuxqt24m (8) daemon on the remote system.

1mFILES22m
       The  file  names  may be changed at compilation time or by
       the configuration file, so these are only  approximations.



                           wUUCP 0.0.23                         2





uux(1)                                                     uux(1)


       UULIB:config  Configuration file.
       UUSPOOL:  UUCP spool directory.
       UUSPOOL:logfile  UUCP log file.
       UUPUB:  Default UUCP public directory.

1mSEE22m 1mALSO22m
       sendmail(1), uustat(1), uucp(1), uucico(8), uuxqt(8)

1mBUGS22m
       Files can not be referenced across multiple systems.

       Too many jobids are output by 1m-j,22m and there is no good way
       to cancel a local execution requiring remote files.

1mACKNOWLEDMENTS22m
       To Ian Lance Taylor (ian@airs.com or  uunet!airs!ian)  for
       writing  the  manual  page  from which I took most of this
       document.

1mAUTHORS22m
       Several.




































                           wUUCP 0.0.23                         3


